import axios from "../../utils/axios";

export function getPlatform(query) {
    return axios({
        url: "/udims/platform/list",
        method: "get",
        params: query
    });
}

export function updatePlatform(data) {
    console.log(JSON.stringify(data));
    return axios({
        url: "/udims/platform/update",
        method: "post",
        data: data
    });
}

export function deletePlatform(data) {
    return axios({
        url: "/udims/platform/remove",
        method: "post",
        data: data
    });
}


export function linkPlatform(query) {
    return axios({
        url: "/udims/platform/link",
        method: "post",
        data: query
    });
}

export function getPlatformBusTypes(query) {
    return axios({
        url: "/udims/platform/getPlatformBusTypes",
        method: "get",
        params: query
    });
}








